/* BlinkenLib Copyright 2004-2011 Stefan Schuermans <stefan@blinkenarea.org>
   Copyleft: GNU public license - http://www.gnu.org/copyleft/gpl.html a
   blinkenarea.org project */

#ifndef INC_BlinkenLib_BlinkenColorizer
#define INC_BlinkenLib_BlinkenColorizer

// convert string to colorizing mode
// returns colorizing mode (>= 0) or -1 on error
int BlinkenColorizerStr2Mode(const char *str);

// convert colorizing mode to string
const char *BlinkenColorizerMode2Str(int mode);

// get color for colorizing
unsigned char BlinkenColorizerGetColor(int channels, int mode, int step,
                                       int y, int x, int c);

#endif // #ifndef INC_BlinkenLib_BlinkenColorizer
